Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
15.0.0.0
Broadcast address
15.255.255.255
First usable
15.0.0.1
Last usable
15.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 0F000000 · Integer 251658240 to 268435455
Reverse DNS zone
15.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111..00000000.00000000.0000000015.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00001111..00000000.00000000.0000000015.0.0.0
Broadcast00001111..11111111.11111111.1111111115.255.255.255
Split into smaller subnets/15

15.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.0.0.0/1515.0.0.1 to 15.1.255.25415.1.255.255131,070
215.2.0.0/1515.2.0.1 to 15.3.255.25415.3.255.255131,070
315.4.0.0/1515.4.0.1 to 15.5.255.25415.5.255.255131,070
415.6.0.0/1515.6.0.1 to 15.7.255.25415.7.255.255131,070
515.8.0.0/1515.8.0.1 to 15.9.255.25415.9.255.255131,070
615.10.0.0/1515.10.0.1 to 15.11.255.25415.11.255.255131,070
715.12.0.0/1515.12.0.1 to 15.13.255.25415.13.255.255131,070
815.14.0.0/1515.14.0.1 to 15.15.255.25415.15.255.255131,070
915.16.0.0/1515.16.0.1 to 15.17.255.25415.17.255.255131,070
1015.18.0.0/1515.18.0.1 to 15.19.255.25415.19.255.255131,070
1115.20.0.0/1515.20.0.1 to 15.21.255.25415.21.255.255131,070
1215.22.0.0/1515.22.0.1 to 15.23.255.25415.23.255.255131,070
1315.24.0.0/1515.24.0.1 to 15.25.255.25415.25.255.255131,070
1415.26.0.0/1515.26.0.1 to 15.27.255.25415.27.255.255131,070
1515.28.0.0/1515.28.0.1 to 15.29.255.25415.29.255.255131,070
1615.30.0.0/1515.30.0.1 to 15.31.255.25415.31.255.255131,070
1715.32.0.0/1515.32.0.1 to 15.33.255.25415.33.255.255131,070
1815.34.0.0/1515.34.0.1 to 15.35.255.25415.35.255.255131,070
1915.36.0.0/1515.36.0.1 to 15.37.255.25415.37.255.255131,070
2015.38.0.0/1515.38.0.1 to 15.39.255.25415.39.255.255131,070
2115.40.0.0/1515.40.0.1 to 15.41.255.25415.41.255.255131,070
2215.42.0.0/1515.42.0.1 to 15.43.255.25415.43.255.255131,070
2315.44.0.0/1515.44.0.1 to 15.45.255.25415.45.255.255131,070
2415.46.0.0/1515.46.0.1 to 15.47.255.25415.47.255.255131,070
2515.48.0.0/1515.48.0.1 to 15.49.255.25415.49.255.255131,070
2615.50.0.0/1515.50.0.1 to 15.51.255.25415.51.255.255131,070
2715.52.0.0/1515.52.0.1 to 15.53.255.25415.53.255.255131,070
2815.54.0.0/1515.54.0.1 to 15.55.255.25415.55.255.255131,070
2915.56.0.0/1515.56.0.1 to 15.57.255.25415.57.255.255131,070
3015.58.0.0/1515.58.0.1 to 15.59.255.25415.59.255.255131,070
3115.60.0.0/1515.60.0.1 to 15.61.255.25415.61.255.255131,070
3215.62.0.0/1515.62.0.1 to 15.63.255.25415.63.255.255131,070
3315.64.0.0/1515.64.0.1 to 15.65.255.25415.65.255.255131,070
3415.66.0.0/1515.66.0.1 to 15.67.255.25415.67.255.255131,070
3515.68.0.0/1515.68.0.1 to 15.69.255.25415.69.255.255131,070
3615.70.0.0/1515.70.0.1 to 15.71.255.25415.71.255.255131,070
3715.72.0.0/1515.72.0.1 to 15.73.255.25415.73.255.255131,070
3815.74.0.0/1515.74.0.1 to 15.75.255.25415.75.255.255131,070
3915.76.0.0/1515.76.0.1 to 15.77.255.25415.77.255.255131,070
4015.78.0.0/1515.78.0.1 to 15.79.255.25415.79.255.255131,070
4115.80.0.0/1515.80.0.1 to 15.81.255.25415.81.255.255131,070
4215.82.0.0/1515.82.0.1 to 15.83.255.25415.83.255.255131,070
4315.84.0.0/1515.84.0.1 to 15.85.255.25415.85.255.255131,070
4415.86.0.0/1515.86.0.1 to 15.87.255.25415.87.255.255131,070
4515.88.0.0/1515.88.0.1 to 15.89.255.25415.89.255.255131,070
4615.90.0.0/1515.90.0.1 to 15.91.255.25415.91.255.255131,070
4715.92.0.0/1515.92.0.1 to 15.93.255.25415.93.255.255131,070
4815.94.0.0/1515.94.0.1 to 15.95.255.25415.95.255.255131,070
4915.96.0.0/1515.96.0.1 to 15.97.255.25415.97.255.255131,070
5015.98.0.0/1515.98.0.1 to 15.99.255.25415.99.255.255131,070
5115.100.0.0/1515.100.0.1 to 15.101.255.25415.101.255.255131,070
5215.102.0.0/1515.102.0.1 to 15.103.255.25415.103.255.255131,070
5315.104.0.0/1515.104.0.1 to 15.105.255.25415.105.255.255131,070
5415.106.0.0/1515.106.0.1 to 15.107.255.25415.107.255.255131,070
5515.108.0.0/1515.108.0.1 to 15.109.255.25415.109.255.255131,070
5615.110.0.0/1515.110.0.1 to 15.111.255.25415.111.255.255131,070
5715.112.0.0/1515.112.0.1 to 15.113.255.25415.113.255.255131,070
5815.114.0.0/1515.114.0.1 to 15.115.255.25415.115.255.255131,070
5915.116.0.0/1515.116.0.1 to 15.117.255.25415.117.255.255131,070
6015.118.0.0/1515.118.0.1 to 15.119.255.25415.119.255.255131,070
6115.120.0.0/1515.120.0.1 to 15.121.255.25415.121.255.255131,070
6215.122.0.0/1515.122.0.1 to 15.123.255.25415.123.255.255131,070
6315.124.0.0/1515.124.0.1 to 15.125.255.25415.125.255.255131,070
6415.126.0.0/1515.126.0.1 to 15.127.255.25415.127.255.255131,070
6515.128.0.0/1515.128.0.1 to 15.129.255.25415.129.255.255131,070
6615.130.0.0/1515.130.0.1 to 15.131.255.25415.131.255.255131,070
6715.132.0.0/1515.132.0.1 to 15.133.255.25415.133.255.255131,070
6815.134.0.0/1515.134.0.1 to 15.135.255.25415.135.255.255131,070
6915.136.0.0/1515.136.0.1 to 15.137.255.25415.137.255.255131,070
7015.138.0.0/1515.138.0.1 to 15.139.255.25415.139.255.255131,070
7115.140.0.0/1515.140.0.1 to 15.141.255.25415.141.255.255131,070
7215.142.0.0/1515.142.0.1 to 15.143.255.25415.143.255.255131,070
7315.144.0.0/1515.144.0.1 to 15.145.255.25415.145.255.255131,070
7415.146.0.0/1515.146.0.1 to 15.147.255.25415.147.255.255131,070
7515.148.0.0/1515.148.0.1 to 15.149.255.25415.149.255.255131,070
7615.150.0.0/1515.150.0.1 to 15.151.255.25415.151.255.255131,070
7715.152.0.0/1515.152.0.1 to 15.153.255.25415.153.255.255131,070
7815.154.0.0/1515.154.0.1 to 15.155.255.25415.155.255.255131,070
7915.156.0.0/1515.156.0.1 to 15.157.255.25415.157.255.255131,070
8015.158.0.0/1515.158.0.1 to 15.159.255.25415.159.255.255131,070
8115.160.0.0/1515.160.0.1 to 15.161.255.25415.161.255.255131,070
8215.162.0.0/1515.162.0.1 to 15.163.255.25415.163.255.255131,070
8315.164.0.0/1515.164.0.1 to 15.165.255.25415.165.255.255131,070
8415.166.0.0/1515.166.0.1 to 15.167.255.25415.167.255.255131,070
8515.168.0.0/1515.168.0.1 to 15.169.255.25415.169.255.255131,070
8615.170.0.0/1515.170.0.1 to 15.171.255.25415.171.255.255131,070
8715.172.0.0/1515.172.0.1 to 15.173.255.25415.173.255.255131,070
8815.174.0.0/1515.174.0.1 to 15.175.255.25415.175.255.255131,070
8915.176.0.0/1515.176.0.1 to 15.177.255.25415.177.255.255131,070
9015.178.0.0/1515.178.0.1 to 15.179.255.25415.179.255.255131,070
9115.180.0.0/1515.180.0.1 to 15.181.255.25415.181.255.255131,070
9215.182.0.0/1515.182.0.1 to 15.183.255.25415.183.255.255131,070
9315.184.0.0/1515.184.0.1 to 15.185.255.25415.185.255.255131,070
9415.186.0.0/1515.186.0.1 to 15.187.255.25415.187.255.255131,070
9515.188.0.0/1515.188.0.1 to 15.189.255.25415.189.255.255131,070
9615.190.0.0/1515.190.0.1 to 15.191.255.25415.191.255.255131,070
9715.192.0.0/1515.192.0.1 to 15.193.255.25415.193.255.255131,070
9815.194.0.0/1515.194.0.1 to 15.195.255.25415.195.255.255131,070
9915.196.0.0/1515.196.0.1 to 15.197.255.25415.197.255.255131,070
10015.198.0.0/1515.198.0.1 to 15.199.255.25415.199.255.255131,070
10115.200.0.0/1515.200.0.1 to 15.201.255.25415.201.255.255131,070
10215.202.0.0/1515.202.0.1 to 15.203.255.25415.203.255.255131,070
10315.204.0.0/1515.204.0.1 to 15.205.255.25415.205.255.255131,070
10415.206.0.0/1515.206.0.1 to 15.207.255.25415.207.255.255131,070
10515.208.0.0/1515.208.0.1 to 15.209.255.25415.209.255.255131,070
10615.210.0.0/1515.210.0.1 to 15.211.255.25415.211.255.255131,070
10715.212.0.0/1515.212.0.1 to 15.213.255.25415.213.255.255131,070
10815.214.0.0/1515.214.0.1 to 15.215.255.25415.215.255.255131,070
10915.216.0.0/1515.216.0.1 to 15.217.255.25415.217.255.255131,070
11015.218.0.0/1515.218.0.1 to 15.219.255.25415.219.255.255131,070
11115.220.0.0/1515.220.0.1 to 15.221.255.25415.221.255.255131,070
11215.222.0.0/1515.222.0.1 to 15.223.255.25415.223.255.255131,070
11315.224.0.0/1515.224.0.1 to 15.225.255.25415.225.255.255131,070
11415.226.0.0/1515.226.0.1 to 15.227.255.25415.227.255.255131,070
11515.228.0.0/1515.228.0.1 to 15.229.255.25415.229.255.255131,070
11615.230.0.0/1515.230.0.1 to 15.231.255.25415.231.255.255131,070
11715.232.0.0/1515.232.0.1 to 15.233.255.25415.233.255.255131,070
11815.234.0.0/1515.234.0.1 to 15.235.255.25415.235.255.255131,070
11915.236.0.0/1515.236.0.1 to 15.237.255.25415.237.255.255131,070
12015.238.0.0/1515.238.0.1 to 15.239.255.25415.239.255.255131,070
12115.240.0.0/1515.240.0.1 to 15.241.255.25415.241.255.255131,070
12215.242.0.0/1515.242.0.1 to 15.243.255.25415.243.255.255131,070
12315.244.0.0/1515.244.0.1 to 15.245.255.25415.245.255.255131,070
12415.246.0.0/1515.246.0.1 to 15.247.255.25415.247.255.255131,070
12515.248.0.0/1515.248.0.1 to 15.249.255.25415.249.255.255131,070
12615.250.0.0/1515.250.0.1 to 15.251.255.25415.251.255.255131,070
12715.252.0.0/1515.252.0.1 to 15.253.255.25415.253.255.255131,070
12815.254.0.0/1515.254.0.1 to 15.255.255.25415.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses